PHP Manual
Prev |  | Next

# Swish->query

(no version information, might be only in CVS)

Swish->query -- Execute a query and return results object

## Description

object Swish->query ( string query )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

A quick method to execute a search with default parameters.

## Parameters

`query`

  Query string.

## Return Values

Returns SwishResults object.

## Errors/Exceptions

Throws SwishException on error.

## Examples

Example 1. Basic Swish->query() example

`<?php try { $swish = new Swish("index.swish-e"); $results = $swish->query("test query"); echo "Found: ", $results->hits, " hits\n"; } catch (SwishException $e) { echo $e->getMessage(), "\n"; } ?>`

The above example will output something similar to:

    Found: 1 hits

Prev | Home | Next
Swish->prepare | Up | SwishResult->getMetaList